<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="../../wtpphoenix.xsl"?>
<html>
	<head>
    	<meta name="root" content="../../../" />
		<title>eclipse web tools platform release 3.9.4</title>
	</head>
	<body>
		<h1>WTP 3.9.4</h1>	
		<h2>Status as of 2018-04-11</h2>
		<p>
			WTP 3.9.4 was officially released on April 11, 2018. It addresses a
			number of bugs in previous 3.9.x 
			releases requested by adopters and the community at large. WTP 3.9.4, is part of Oxygen.3a.
			Users of Oxygen should use the Oxygen Update Site,
			<a href="http://download.eclipse.org/releases/oxygen/">http://download.eclipse.org/releases/oxygen/</a>, 
			to update to Oxygen.3 and WTP 3.9.4. 
		</p>
		<ul>
					<li>Download WTP as part of a complete Eclipse <a href="https://www.eclipse.org/downloads/packages/release/oxygen/3">package</a></li>
					<li>Add WTP to your existing installation from the <a href="https://marketplace.eclipse.org/user/nitind/listings">Eclipse Marketplace</a></li>
					<li><a href="http://download.eclipse.org/webtools/downloads/">Download</a> the final WTP 3.9.4 build now</li>
<!--			<li>Check out what's <a href="../3.9.0/NewAndNoteworthy/index.php">New and Noteworthy</a> in the 3.9 release</li>-->
            <li>
                <a
                href="https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=bug_severity&amp;y_axis_field=product&amp;z_axis_field=&amp;query_format=report-table&amp;short_desc_type=allwordssubstr&amp;short_desc=&amp;classification=WebTools&amp;target_milestone=0.3.3&amp;target_milestone=3.7.3&amp;target_milestone=3.7.3+M1&amp;target_milestone=3.7.3+M2&amp;target_milestone=3.7.3+M3&amp;target_milestone=3.7.3+M4&amp;target_milestone=3.7.3+M5&amp;target_milestone=3.7.3+M6&amp;target_milestone=3.7.3+M7&amp;target_milestone=3.7.3+RC0&amp;target_milestone=3.7.3+RC1&amp;target_milestone=3.7.3+RC2&amp;target_milestone=3.7.3+RC3&amp;target_milestone=3.7.3+RC4&amp;target_milestone=3.9.4&amp;target_milestone=3.9.4+RC0&amp;target_milestone=3.9.4+RC1&amp;target_milestone=3.9.4+RC2&amp;target_milestone=3.9.4+RC3&amp;target_milestone=3.9.4+RC4&amp;target_milestone=3.9.4+RC5&amp;resolution=FIXED&amp;format=table&amp;action=wrap&amp;chfieldfrom=2017-09-01&amp;chfieldto=2018-04-30&amp;chfield=resolution&amp;chfieldvalue=FIXED">Bugs fixed</a> in this release.
            </li>
            <li>Browse the <a href="http://help.eclipse.org/oxygen/topic/org.eclipse.wst.doc.user/topics/overview.html?cp=103" target="_top">Web Tools Platform User Guide</a></li>
						<li>Read the <a href="https://wiki.eclipse.org/WTP_FAQ">FAQ</a></li>
						<li>Read the <a href="https://wiki.eclipse.org/WTP_Tomcat_FAQ">WTP and Apache Tomcat FAQ</a></li>
            <!--  <h3><a href="contributorrecognition.html">Recognition of Contributors</a></h3> -->
            <!--
             <h2>Press Coverage for WTP 3.9</h2>
             <h3><a href=""  target="_top">title</a>, <i>source</i></h3>
             -->
		</ul>
		<h2>
			<a name="reported-problems" />
			Reported and Known Problems
		</h2>
		<p>
			All reported problems are recorded in the Eclipse Bugzilla
			system under:
			<ul>
				<li>
					Classification =
					<code>WebTools</code>
				</li>
				<li>
					Status =
					<code>NEW</code>
					or
					<code>ASSIGNED</code>
					or
					<code>REOPENED</code>
				</li>
			</ul>
		</p>
		<a href="https://bugs.eclipse.org/bugs/buglist.cgi?bug_status=NEW&amp;bug_status=ASSIGNED&amp;bug_status=REOPENED&amp;bug_status=UNCONFIRMED&amp;classification=WebTools&amp;order=bugs.bug_id%20desc">All reported problems</a>
		<p>Check for suggested workarounds in the bug report comments. Remember: <b>bugs that aren't reported have little chance of being fixed.</b><!--Here are more specific items:--></p>

		<!--
		<table cellpadding="3%" >

		<tr>
			<td><a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=number">number</a></td>
			<td> title </td>
		</tr>
		</table>
		-->
	</body>
</html>
